|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QPrintPreviewDialog Class Reference
[QtGui module]

The QPrintPreviewDialog class provides a dialog for previewing and configuring page layouts for printer output. More...

     #include <QPrintPreviewDialog>

Inherits QDialog.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

### Public Functions

- QPrintPreviewDialog ( QPrinter * printer, QWidget * parent = 0, Qt::WindowFlags flags = 0 )
- QPrintPreviewDialog ( QWidget * parent = 0, Qt::WindowFlags f = 0 )
- ~QPrintPreviewDialog ()

- 5 public functions inherited from QDialog
- 206 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 12 public functions inherited from QPaintDevice

### Signals

- void paintRequested ( QPrinter * printer )

- 3 signals inherited from QDialog
- 1 signal inherited from QWidget
- 1 signal inherited from QObject

### Additional Inherited Members

- 2 properties inherited from QDialog
- 57 properties inherited from QWidget
- 1 property inherited from QObject
- 4 public slots inherited from QDialog
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 38 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The QPrintPreviewDialog class provides a dialog for previewing and configuring page layouts for printer output.

Using QPrintPreviewDialog in your existing application is straightforward:

1. Create the QPrintPreviewDialog.

   You can construct a QPrintPreviewDialog with an existing QPrinter object, or you can have QPrintPreviewDialog create one for you, which will be the system default printer.

2. Connect the paintRequested() signal to a slot.

   When the dialog needs to generate a set of preview pages, the paintRequested() signal will be emitted. You can use the exact same code for the actual printing as for having the preview generated. Connect a slot to the paintRequested() signal, where you draw onto the QPrinter object that is passed into the slot.

3. Call exec().

   Call QPrintPreviewDialog::exec() to show the preview dialog.

See also QPrinter, QPrintDialog, QPageSetupDialog, and QPrintPreviewWidget.

## Member Function Documentation

### QPrintPreviewDialog::QPrintPreviewDialog ( QPrinter * printer, QWidget * parent = 0, Qt::WindowFlags flags = 0 )

Constructs a QPrintPreviewDialog based on printer and with parent as the parent widget. The widget flags flags are passed on to the QWidget constructor.

See also QWidget::setWindowFlags().

### QPrintPreviewDialog::QPrintPreviewDialog ( QWidget * parent = 0, Qt::WindowFlags f = 0 )

This will create an internal QPrinter object, which will use the system default printer.

### QPrintPreviewDialog::~QPrintPreviewDialog ()

Destroys the QPrintPreviewDialog.

### void QPrintPreviewDialog::paintRequested ( QPrinter * printer ) `[signal]`

When the the QPrintPreviewDialog needs to generate a set of preview pages, this signal is emitted with the printer you should draw onto.